# ----------------------------------------------------------------------------
# - warn-distrib-service-type                                                -
# - wild cruncher: arion distribution service                          arion -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       warn_distrib_service_type
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Arion distribution service

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
from wcr_core.common.wcmn_parameter_description import WcmnParameterDescription
from wcr_core.modules.system.wpmod_distrib_service_type import \
    WpmodDistributionServiceType


WARN_ARION_DISTRIBUTION_SERVICE_CODE = 'wcr.arion.ds'

WARN_ARION_DISTRIBSVC_LEID_PARAM = 'leid'


WARN_ARION_DISTRIBUTION_SERVICE_TYPE = WpmodDistributionServiceType(
    WARN_ARION_DISTRIBUTION_SERVICE_CODE,
    'Arion', 'Arion distribution service',
    WcmnParameterDescription(
        WARN_ARION_DISTRIBSVC_LEID_PARAM, 'Logical equipment ID',
        'Logical equipment ID'))
