# ----------------------------------------------------------------------------
# - wcmn-mime-type                                                           -
# - wild cruncher: mime types                                  core / common -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wcmn_mime_type
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher - mime types

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""


# Wild Cruncher payload types
WCMN_PAYLOAD_BLOCK_MODEL = 4
WCMN_PAYLOAD_BLOCK_SIMULATION = 8
WCMN_PAYLOAD_BLOCK_STATEMACHINE = 16
WCMN_PAYLOAD_BLOCK_SYSTEM = 32
WCMN_PAYLOAD_MODEL = 64
WCMN_PAYLOAD_PROJECT_INFO = 128
WCMN_PAYLOAD_CONFIG_TABLE = 256
WCMN_PAYLOAD_RESOURCES = 512
WCMN_PAYLOAD_ENTRY_POINTS = 1024
WCMN_PAYLOAD_MODEL_PORTS = 2048
WCMN_PAYLOAD_BLOCK_MESSAGE = 4096
WCMN_PAYLOAD_BLOCK_BUS = 8192
WCMN_PAYLOAD_BLOCK_HARDWARE = 16384
WCMN_PAYLOAD_BLOCK_SYS_MAP = 32768
WCMN_PAYLOAD_BLOCK_VLINK = 65536
WCMN_PAYLOAD_BLOCK_CSV = 131072
WCMN_PAYLOAD_BLOCK_ICD = 262144
WCMN_PAYLOAD_ALL = 524287

WCMN_PAYLOAD_BLOCK = \
    WCMN_PAYLOAD_BLOCK_MODEL | \
    WCMN_PAYLOAD_BLOCK_SIMULATION | \
    WCMN_PAYLOAD_BLOCK_STATEMACHINE | \
    WCMN_PAYLOAD_BLOCK_SYSTEM | \
    WCMN_PAYLOAD_BLOCK_MESSAGE | \
    WCMN_PAYLOAD_BLOCK_BUS | \
    WCMN_PAYLOAD_BLOCK_HARDWARE | \
    WCMN_PAYLOAD_BLOCK_SYS_MAP | \
    WCMN_PAYLOAD_BLOCK_VLINK | \
    WCMN_PAYLOAD_BLOCK_CSV | \
    WCMN_PAYLOAD_BLOCK_ICD



