# ----------------------------------------------------------------------------
# - wimod-setup                                                              -
# - wild cruncher: ICD setup                                      core / ICD -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wimod_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model module setup

.. moduleauthor:: philippe lambert <lambert@silkan.com>
"""
from wcr_core.modules.icd.plugin.wiplg_core_install_context import \
    WipglCoreModuleInstallContextFactory
from wcr_core.modules.icd.wimod_application_module import \
    WIMOD_ICD_APP_MODULE

from wcr_core.modules.wmod_application_module import wmod_registerModule
from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY


wmod_registerModule(WIMOD_ICD_APP_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WipglCoreModuleInstallContextFactory(WIMOD_ICD_APP_MODULE))
