# ----------------------------------------------------------------------------
# - wmemod-setup                                                             -
# - wild cruncher: message setup                              core / message -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wmemod_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model module setup

.. moduleauthor:: philippe lambert <lambert@silkan.com>
"""
from wcr_core.modules.message.plugin.wmeplg_core_install_context import \
    WmepglCoreModuleInstallContextFactory
from wcr_core.modules.message.wmemod_application_module import \
    WMEMOD_MESSAGE_APP_MODULE
from wcr_core.modules.wmod_application_module import wmod_registerModule
from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY


wmod_registerModule(WMEMOD_MESSAGE_APP_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WmepglCoreModuleInstallContextFactory(WMEMOD_MESSAGE_APP_MODULE))
