# ----------------------------------------------------------------------------
# - wfmod-setup                                                              -
# - wild cruncher: module setup                          core / statemachine -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wfmod_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Statemachine module setup

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
from wcr_core.modules.statemachine.plugin.wfplg_core_install_context import \
    WfpglCoreModuleInstallContextFactory
from wcr_core.modules.statemachine.wfmod_application_module import \
    WFMOD_STATEMACHINE_APP_MODULE
from wcr_core.modules.wmod_application_module import wmod_registerModule
from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY


wmod_registerModule(WFMOD_STATEMACHINE_APP_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WfpglCoreModuleInstallContextFactory(WFMOD_STATEMACHINE_APP_MODULE))
