# ----------------------------------------------------------------------------
# - wvmod-setup                                                              -
# - wild cruncher: vlink setup                                  core / vlink -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wvmod_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model module setup

.. moduleauthor:: philippe lambert <lambert@silkan.com>
"""
from wcr_core.modules.vlink.plugin.wvplg_core_install_context import \
    WvpglCoreModuleInstallContextFactory
from wcr_core.modules.vlink.wvmod_application_module import \
    WVMOD_VLINK_APP_MODULE
from wcr_core.modules.wmod_application_module import wmod_registerModule
from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY


wmod_registerModule(WVMOD_VLINK_APP_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WvpglCoreModuleInstallContextFactory(WVMOD_VLINK_APP_MODULE))
