# ----------------------------------------------------------------------------
# - wbgui-setup                                                              -
# - wild cruncher: gui module setup                     frontend / bus / gui -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wbgui_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model GUI module setup

.. moduleauthor:: Philippe lambert <lambert@silkan.com>
"""

# noinspection PyUnresolvedReferences
import wcr_core.modules.bus.wbmod_setup

from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY
from wcr_frontend.gui.wgui_gui_module import wgui_registerCockpitModule
from wcr_frontend.gui_plugin.wgui_gui_install_context_factory import \
    WguiGuiModuleInstallContextFactory
from wcr_frontend.modules.bus.gui.wbgui_bus_gui_module import \
    WBGUI_COCKPIT_SYSTEM_MODULE

#
# wgui_registerCockpitModule(WBGUI_COCKPIT_SYSTEM_MODULE)
#
# WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
#     WguiGuiModuleInstallContextFactory(WBGUI_COCKPIT_SYSTEM_MODULE))
