# ----------------------------------------------------------------------------
# - wmfog-c-base                                                             -
# - wild cruncher: fog function base C coding                                -
# ----------------------------------------------------------------------------
# - author    (c) 2012-2013 piv                                              -
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2012-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
..  module::      wmfog_c_base
   :platform:     Unix, Windows
   :synopsis:     fog C coding utiol function

.. moduleauthor:: piv <pierre.villalon@silkan.com>
"""


def wmfog_init_c_struct(l):
    """
    :return: the C string to initialize a struct with list elements
    :rtype: str
    :param l: the list of elements
    :type  l: [str]
    """
    return "{" + ", ".join(l) + "}"


def wmfog_init_c_array(l):
    """
    :return: the C string to initialize an an array.
    :rtype: str
    :param l: the list of elements
    :type  l: [str]
    """
    return wmfog_init_c_struct(l)
