# ----------------------------------------------------------------------------
# - wpbke-setup                                                              -
# - wild cruncher: system backend setup                     backend / system -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 samuel longchamps                                -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wsbke_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Simulation backend setup

.. moduleauthor:: Samuel Longchamps <samuel.longchamps@silkan.com>
"""
from wcr_backend.modules.system.actions.wpbke_generate_config_action import \
    WPBKE_GENERATE_CONFIG_ACTION
from wcr_backend.modules.system.wpbke_install_context import \
    WpbkeSystemBackendModuleInstallContextFactory
from wcr_core.action.wact_action_api import WACT_ACTION_W_WS_MODIFY, \
    WACT_ACTION_W_DB_VERIFY
from wcr_core.modules.system.wpmod_application_module import \
    WPMOD_SYSTEM_APP_MODULE
from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WpbkeSystemBackendModuleInstallContextFactory())

WPMOD_SYSTEM_APP_MODULE.addAction(
    WPBKE_GENERATE_CONFIG_ACTION, 'generate', 'wcr.backend.system',
    'backend', 'project', WACT_ACTION_W_WS_MODIFY, WACT_ACTION_W_DB_VERIFY)