# ----------------------------------------------------------------------------
# - wdbm-context                                                             -
# - wild cruncher: database context                  core / dbstore /mutable -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wdbm_context
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - DBM database context

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
from wcr_core.dbstore.wdbs_context import WdbsContext


class WdbmContext(WdbsContext):
    def __init__(self, metaPrv):
        """
        :param metaPrv: Meta-description provider
        :type metaPrv: WdbsMetaProviderP
        """
        super().__init__(metaPrv)
