# ----------------------------------------------------------------------------
# - wdbs-context                                                             -
# - wild cruncher: dbs context                               core / db-store -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wdbs_context
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher DBS context

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
from wcr_core.dbstore_api.wdbs_context_api import WdbsContextP


class WdbsContext(WdbsContextP):
    def __init__(self, metaPrv):
        """
        :param metaPrv: Meta-description provider
        :type metaPrv: WdbsMetaProviderP
        """
        self.__metaPrv = metaPrv

    def getMetaDescription(self, clazz, *args, **kwargs):
        return self.__metaPrv.getMetaDescription(clazz, *args, **kwargs)
