# ----------------------------------------------------------------------------
# - wdbs-geomerty                                                            -
# - wild cruncher: geometry base classes                      core / dbstore -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wdbs_geomerty
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher geometry base classes

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""

from wcr_core.dbstore_api.wdbs_geometry_api import WdbsPathP


# noinspection PyAbstractClass
class WdbsPathBase(WdbsPathP):

    def __str__(self):
        s = 'Path ['
        for x, y in self.getPoints():
            if len(s) > 6: s += ', '
            s += '(' + str(x) + ',' + str(y) + ')'
        s += ']'
        return s
