# ----------------------------------------------------------------------------
# - wbhdb-top-block-meta                                                     -
# - wild cruncher: bus top block meta-data                   core / bus / db -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wbhdb_top_block_mote
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Bus top block meta-data

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

from wcr_core.db.whdb_block import WhdbBlock
from wcr_core.db.whdb_parameter import *
from wcr_core.dbstore.wdbs_meta_type import *
from wcr_core.dbstore.wdbs_meta_description import WdbsMetaField, \
    WdbsMetaDescription


WBHDB_META_MESSAGES_KEY = 'Messages_files'
WBHDB_META_PORTS_KEY = 'Ports_files'


WBHDB_BUS_DATA_META_DESCRIPTION = WdbsMetaDescription(
    WhdbBlock.META,
    WdbsMetaField(
        WBHDB_META_MESSAGES_KEY,
        WdbsDictionaryMetaType(WDBS_STRING_META, WDBS_STRING_META)),
    WdbsMetaField(
        WBHDB_META_PORTS_KEY,
        WdbsDictionaryMetaType(WDBS_STRING_META, WDBS_STRING_META))
)