# ----------------------------------------------------------------------------
# - wictl-controllers                                                        -
# - wild cruncher: icd controllers                   core / icd / controller -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wictl_controllers
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model controllers

.. moduleauthor:: philippe lambert <lambert@silkan.com>
"""

from wcr_core.controller.wctl_controller_mixins import *
from wcr_core.controller.wctl_default_controllers import \
    WctlSimpleControllerFactoryBase


class WictlControllerFactory(WctlSimpleControllerFactoryBase):
    def __init__(self):
        super().__init__()

#: Model controller factory
WICTL_CONTROLLER_FACTORY = WictlControllerFactory()
