# ----------------------------------------------------------------------------
# - wmehdb-standard-operators                                                -
# - wild cruncher:standard operators                     core / message / db -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wmehdb_standard_operators
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher standard operators

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

from wcr_core.modules.message.db.wmehdb_operator import WMEHDB_OPER, \
    WmehdbOperator
from wcr_core.db_api.whdb_protocols_api import WHDB_HALIGN_LEFT, \
    WHDB_HALIGN_RIGHT

WMEHDB_WBMESSAGE_CODE = 'wcr.message.std.wbmessage'


WMEHDB_WBMESSAGE = WmehdbOperator(
    code=WMEHDB_WBMESSAGE_CODE,
    xmngr=None,
    name='Wight Box Message',
    info='Wight Box Message',
    symbol='',
    labelAlign=WHDB_HALIGN_LEFT)


WMEHDB_DEFAULT_OPS = [WMEHDB_WBMESSAGE]

WMEHDB_OPER.addOperators(WMEHDB_DEFAULT_OPS)
