# ----------------------------------------------------------------------------
# - fsm-hds-moper                                                            -
# - wild cruncher: operator object                  core / statemachine / db -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wfhdb_moper
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher state machine operator object

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""

from wcr_core.db.whdb_operator import WhdbOperatorRegistry, WhdbOperator


class WfhdbOperator(WhdbOperator):



    def __init__(self, code, xmng, name=None, info=None,
                 meta=None, parameters=None, flags=None,
                 icons=None, shape=None, symbol=None, labelAlign=None):

        super().__init__(code, xmng, name=name, info=info,
                         meta=meta, parameters=parameters, flags=flags,
                         icons=icons, shape=shape, symbol=symbol,
                         labelAlign=labelAlign)

#: Global HDS function operator registry
WFHDB_OPER = WhdbOperatorRegistry()
