# ----------------------------------------------------------------------------
# - wchdb-connection-point-base-meta                                         -
# - wild cruncher: sys_map connection point meta-data    core / sys_map / db -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wchdb_connection_point_base_meta
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - system mapper connection-point-base meta-data

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""


from wcr_core.db.whdb_parameter import *
from wcr_core.dbstore.wdbs_meta_type import *

WCHDB_PORT_SPEED_KEY = 'speed'
WCHDB_PORT_CODE_KEY = 'code'
WCHDB_PORT_ACTIVE_KEY = 'active'
WCHDB_PORT_CARD_KEY = 'card'
WCHDB_SRC_UUID_KEY = 'uuid-source'

WCHDB_SRC_UUID_PARAMETER = (WCHDB_SRC_UUID_KEY, WDBS_UUID_META,
                             'source')
WCHDB_PORT_SPEED_PARAMETER = (WCHDB_PORT_SPEED_KEY, WDBS_STRING_META,
                              'Bandwidth (Gb/s)')

WCHDB_PORT_CODE_PARAMETER = (WCHDB_PORT_CODE_KEY, WDBS_STRING_META,
                              'Code')

WCHDB_PORT_CARD_PARAMETER = (WCHDB_PORT_CARD_KEY, WDBS_STRING_META,
                              'Card')

WCHDB_PORT_ACTIVE_PARAMETER = (WCHDB_PORT_ACTIVE_KEY, WDBS_STRING_META,
                              'Active')