# ----------------------------------------------------------------------------
# - sys-hds-moper                                                            -
# - wild cruncher: operator object                        core / system / db -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wphdb_moper
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher system mapper operator object

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""

from wcr_core.db.whdb_operator import WhdbOperatorRegistry, WhdbOperator


class WphdbOperator(WhdbOperator):
    def __init__(self, code, xmngr, name=None, info=None, meta=None,
                 parameters=None, flags=None, icons=None, shape=None,
                 symbol=None, labelAlign=None):
        super().__init__(code, xmngr, name, info, meta, parameters, flags,
                         icons, shape, symbol, labelAlign)


#: Global HDS function operator registry
WPHDB_OPER = WhdbOperatorRegistry()
