# ----------------------------------------------------------------------------
# - wvhdb-standard-operators                                                 -
# - wild cruncher:standard operators                       core / vlink / db -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wvhdb_standard_operators
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher standard operators

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

from wcr_core.modules.vlink.db.wvhdb_operator import WVHDB_OPER, WvhdbOperator
from wcr_core.db_api.whdb_protocols_api import WHDB_HALIGN_LEFT

WVHDB_VLINK_CODE = 'wcr.vlink.std.vlink'

WVHDB_VLINK = WvhdbOperator(
    code=WVHDB_VLINK_CODE,
    xmngr=None,
    name='Traffic_Route',
    info='Traffic_Route',
    symbol='',
    labelAlign=WHDB_HALIGN_LEFT)

WVHDB_DEFAULT_OPS = [WVHDB_VLINK]

WVHDB_OPER.addOperators(WVHDB_DEFAULT_OPS)
