# ----------------------------------------------------------------------------
# - wplg-library                                                             -
# - wild cruncher: library management api                      core / plugin -
# ----------------------------------------------------------------------------
# - author    (c) 2013-2014 clemens oertel                                   -
# - copyright (c) 2013-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
..  module::      wplg_library
   :platform:     Unix, Windows
   :synopsis:     Library shared structures / functions

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""

from collections import namedtuple


# Icon type codes
WLIB_ICON_PNG32, WLIB_ICON_SVG = range(1, 3)

#: Library description structure
WplgOperatorLibrary = namedtuple(
    'WplgOperatorLibrary',
    ['code', 'module', 'name', 'description', 'operators'])
