import re
from PyQt4.QtGui import QMessageBox
from silkan_common import __name__

WGUI_WINDOW_TITLE = __name__

NameFormatMessageError = ('The name "{}" has an incorrect format: '
                          'names can only contain alphanumeric '
                          'or "_" characters')


def isNameValid(name):
    if name:
        if re.match("^[0-9A-Za-z_]+$", name) is None:
            return False
    return True


def showErrorWindow(windowTitle, errorMsg, *vars):
    msg = QMessageBox()
    msg.setIcon(QMessageBox.Information)
    msg.setText(errorMsg.format(*vars))
    msg.setWindowTitle(windowTitle)
    msg.exec_()
