# ----------------------------------------------------------------------------
# - wbgui-scene-item-factory                                                 -
# - wild cruncher: scene item factory                     bus cockpit system -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2013-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wbgui_scene_item_factory
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher bus scene item factory

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

from wcr_frontend.gui.wgui_scene_item import WguiXPointRectPositionProvider
from wcr_frontend.gui.wgui_scene_item_factory import WguiDefaultSceneItemFactoy

class WbguiSceneItemFactory(WguiDefaultSceneItemFactoy):
    """
    Message scene item factory.
    """

    def __init__(self, appModule):
        """
        :param appModule: Application module
        :type appModule: WmmodModelApplicationModuleP
        """
        super().__init__(WguiXPointRectPositionProvider())

