# ----------------------------------------------------------------------------
# - wmgui-setup                                                              -
# - wild cruncher: gui module setup                   frontend / model / gui -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wmgui_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model GUI module setup

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""

# noinspection PyUnresolvedReferences
import wcr_core.modules.message.wmemod_setup

from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY
from wcr_frontend.gui.wgui_gui_module import wgui_registerCockpitModule
from wcr_frontend.gui_plugin.wgui_gui_install_context_factory import \
    WguiGuiModuleInstallContextFactory
from wcr_frontend.modules.message.gui.wmegui_message_gui_module import \
    WMEGUI_COCKPIT_SYSTEM_MODULE
#
#
# wgui_registerCockpitModule(WMEGUI_COCKPIT_SYSTEM_MODULE)
#
# WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
#     WguiGuiModuleInstallContextFactory(WMEGUI_COCKPIT_SYSTEM_MODULE))
