# ----------------------------------------------------------------------------
# - wfgui-setup                                                              -
# - wild cruncher: gui module setup            frontend / statemachine / gui -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wfgui_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Statemachine GUI module setup

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
# noinspection PyUnresolvedReferences
import wcr_core.modules.statemachine.wfmod_setup

from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY
from wcr_frontend.gui.wgui_gui_module import wgui_registerCockpitModule
from wcr_frontend.gui_plugin.wgui_gui_install_context_factory import \
    WguiGuiModuleInstallContextFactory
from wcr_frontend.modules.statemachine.gui.wfgui_statemachine_gui_module \
    import WFGUI_COCKPIT_SYSTEM_MODULE


# wgui_registerCockpitModule(WFGUI_COCKPIT_SYSTEM_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WguiGuiModuleInstallContextFactory(WFGUI_COCKPIT_SYSTEM_MODULE))
