# ----------------------------------------------------------------------------
# - wcgui-setup                                                              -
# - wild cruncher: gui sys_map setup                frontend / sys_map / gui -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2015 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wcgui_setup
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Model GUI module setup

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

# noinspection PyUnresolvedReferences
import wcr_core.modules.sys_map.wcmod_setup

from wcr_core.plugin.wplg_install_context_registry import \
    WPLG_INSTALL_CONTEXT_REGISTRY
from wcr_frontend.gui.wgui_gui_module import wgui_registerCockpitModule
from wcr_frontend.gui_plugin.wgui_gui_install_context_factory import \
    WguiGuiModuleInstallContextFactory
from wcr_frontend.modules.sys_map.gui.wcgui_sys_map_gui_module import \
    WCGUI_COCKPIT_SYSTEM_MODULE


wgui_registerCockpitModule(WCGUI_COCKPIT_SYSTEM_MODULE)

WPLG_INSTALL_CONTEXT_REGISTRY.registerInstallContextFactory(
    WguiGuiModuleInstallContextFactory(WCGUI_COCKPIT_SYSTEM_MODULE))
