# ----------------------------------------------------------------------------
# - hardware-gui-view-filter                                                 -
# - wild cruncher:hardware design cockpit system contex                      -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wcgui_filter
   :platform:     Unix, Windows
   :synopsis:     Wild Cruncher system_mapper global filter

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

class sysmapFilter(object):

    def __init__(self):
        self._Hfilter = None

    def setHostAsFilter(self, hostuuid):
        if hostuuid is None:
            return self.resedFilters()
        self._Hfilter = str(hostuuid)

    def resedFilters(self):
        self._Hfilter = None

    def uuidpassfilter(self, uuid):
        if self._Hfilter is None:
            return True
        return str(uuid) == self._Hfilter
