# ----------------------------------------------------------------------------
# - wpgui-scene-item-factory                                                 -
# - wild cruncher: scene item factory                  system mapper cockpit -
# ----------------------------------------------------------------------------
# - author    (c) 2014-2014 clemens oertel                                   -
# - copyright (c) 2014-2014 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wpgui_scene_item_factory
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher scene item factory

.. moduleauthor:: Clemens Oertel <clemens.oertel@silkan.com>
"""
from wcr_frontend.gui.wgui_scene_item import WguiXPointRectPositionProvider
from wcr_frontend.gui.wgui_scene_item_factory import WguiDefaultSceneItemFactoy


class WpguiSceneItemFactory(WguiDefaultSceneItemFactoy):
    """
    System mapper scene item factory.
    """

    def __init__(self):
        super().__init__(WguiXPointRectPositionProvider())


WPGUI_SCENE_ITEM_FACTORY = WpguiSceneItemFactory()
